Class | Sequel::Postgres::JSONArray
In: | lib/sequel/extensions/pg_json.rb
Parent: | DelegateClass(Array)

Class representating PostgreSQL JSON column array values.

### Methods

sql_literal_append

### Public Instance methods

sql_literal_append(ds, sql)

Convert the array to a string using to_json, append a literalized version of the string to the sql, and explicitly cast the string to json.

[Source]

        # File lib/sequel/extensions/pg_json.rb, line 69
    69:       def sql_literal_append(ds, sql)
    70:         ds.literal_append(sql, to_json)
    71:         sql << CAST_JSON
    72:       end

[Validate]